Bug 180899 - shared-mime-info: +Requires: desktop-file-utils
shared-mime-info: +Requires: desktop-file-utils
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-10 07:50 EST by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-24 16:55:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2006-02-10 07:50:51 EST
Includes
%post 
%{_bindir}/update-mime-database %{_datadir}/mime &> /dev/null

But is missing
Requires(post): desktop-file-utils
Comment 1 Rex Dieter 2006-02-10 12:19:52 EST
Nevermind... update-mime-database comes from *this* package (shared-mime-info),
not desktop-file-utils.
Comment 2 Rex Dieter 2006-03-30 10:16:05 EST
OK, brainfart at first attempt, let's try again.  

Per
http://fedoraproject.org/wiki/ScriptletSnippets#head-d37d740d062d3aa6013aab44a79de88a6c1fe533
and discussions on the FE mailing list (I can dig up references if you want), it
was agreed that it is wrong/wasteful that *every* rpm that includes application
.desktop files with
MimeType=
entries must include
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

Instead, it was proposed that some core bit of any desktop that supports the use
of shared-mime-info (like Gnome) should itself include
Requires: desktop-file-utils

Now, I'm not sure if adding the Requires to shared-mime-info is the best place
for it, but it should be somewhere.
Comment 3 Ville Skyttä 2006-04-08 05:48:27 EDT
redhat-menus nowadays depends on it, maybe that's enough?
Comment 4 Rex Dieter 2006-04-09 13:10:40 EDT
Ville, yeah, it's a round-about way to get to the same result...
Comment 5 Rex Dieter 2006-07-24 16:55:10 EDT
I'm content with the Req being redhat-menus, so let's close this out (and I'll
update the wiki to drop the extraneous Requires bits)

Note You need to log in before you can comment on or make changes to this bug.